Description

Hi, forks,

I suppose that relative links to icon images

in 'public/help/wiki_syntax.html'

should be '../images/jstoolbar/bt_strong.png',

not '../../images/jstoolbar/bt_strong.png'.

If Redmine is deployed on such as mongrel or webrick,

there seems to be no problem, because the links traverse

to the root directory so that the absolute paths are converted

to '/images/jstoolbar/bt_strong.png'.

However, the links are broken when I have deployed Redmine

to a sub URI on Phusion Passenger (mod_rails) with Apache

configuration 'RailsBaseURI /redmine'.  About this setting, see

http://www.modrails.com/documentation/Users%20guide.html#deploying_to_sub_uri

for more details.

Below is a simple patch. Thank you for your consideration.

Best Regards,

Hajime BABA

Associated revisions

Revision 1609 - 2008-06-30 19:35 - Jean-Philippe Lang

Fixes relative paths to images in wiki_syntax.html (#1218).

History

#1 - 2008-06-30 12:52 - Marc Liyanage

I just noted the same issue and would really appreciate the inclusion of this patch in the next version...

#2 - 2008-06-30 19:35 - Jean-Philippe Lang

- Category changed from Documents to UI

- Status changed from New to Closed

- Target version set to 0.8

You're absolutely right.

Patch committed in r1609. Thanks.

#3 - 2008-07-06 14:21 - Jean-Philippe Lang

- Target version changed from 0.8 to 0.7.3
